NuminaDevelopers
Dashboard
Get company

Get company

GET
/v1/company

The company this API key or connection opens.

Requires one ofsetup:readread:ledger

Errors

  • 401Invalid or missing authentication
  • 403Missing scope, or the company is archived
  • 429Rate limit exceeded
  • 500Internal Server Error

Every error has the same shape. See Errors.

cURL
curl https://api.numina.app/v1/company \
  -H "Authorization: Bearer numi_YOUR_API_KEY"
JavaScript
const response = await fetch("https://api.numina.app/v1/company", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.NUMINA_API_KEY}`,
  },
});

const data = await response.json();
Python
import os

import requests

response = requests.get(
    "https://api.numina.app/v1/company",
    headers={
        "Authorization": f"Bearer {os.environ['NUMINA_API_KEY']}",
    },
)
data = response.json()
Response
200
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "string",
  "slug": "string",
  "cvr": "12345678",
  "is_vat_registered": false,
  "base_currency": "DKK"
}